Summary:	Library providing the gamin File Alteration Monitor API
Summary(pl.UTF-8):	Biblioteka dostarczająca File Alteration Monitor API gamina
Name:		gamin
Version:	0.1.10
Release:	6
License:	LGPL v2.1
Group:		Libraries
Source0:	http://www.gnome.org/~veillard/gamin/sources/%{name}-%{version}.tar.gz
# Source0-md5:	b4ec549e57da470c04edd5ec2876a028
Patch0:		%{name}-glib.patch
Patch1:		double-lock.patch
URL:		http://www.gnome.org/~veillard/gamin/
BuildRequires:	autoconf >= 2.52
BuildRequires:	automake
BuildRequires:	glib2-devel
BuildRequires:	libtool
BuildRequires:	pkgconfig
BuildRequires:	python-devel
BuildRequires:	python-modules
BuildRequires:	rpm-pythonprov
Provides:	fam
Provides:	fam-libs
Obsoletes:	fam
Obsoletes:	fam-common
Obsoletes:	fam-inetd
Obsoletes:	fam-libs
Obsoletes:	fam-standalone
Obsoletes:	gamin-inetd
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
This C library provides an API and ABI compatible file alteration
monitor mechanism compatible with gamin but not dependant on a system
wide daemon.

%description -l pl.UTF-8
Ta biblioteka C dostarcza mechanizm monitorowania zmian plików
kompatybilny na poziomie API i ABI z gaminem, ale niezależny od
ogólnosystemowego demona.

%package docs
Summary:	Documentation for gamin
Summary(pl.UTF-8):	Dokumentacja dla gamina
Group:		Documentation
Requires:	%{name} = %{version}-%{release}

%description docs
Documentation for gamin.

%description docs -l pl.UTF-8
Dokumentacja dla gamina.

%package devel
Summary:	Includes to develop using gamin
Summary(pl.UTF-8):	Pliki nagłówkowe do tworzenia programów z użyciem gamina
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}
Requires:	glib2-devel
Provides:	fam-devel
Obsoletes:	fam-devel

%description devel
Includes to develop using gamin.

%description devel -l pl.UTF-8
Pliki nagłówkowe do tworzenia programów z użyciem gamina.

%package static
Summary:	gamin static libraries
Summary(pl.UTF-8):	Statyczne biblioteki gamina
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}
Provides:	fam-static
Obsoletes:	fam-static

%description static
gamin static libraries.

%description static -l pl.UTF-8
Statyczne biblioteki gamina.

%package -n python-gamin
Summary:	Python modules for gamin
Summary(pl.UTF-8):	Moduły języka Python dla gamina
Group:		Libraries/Python
Requires:	%{name} = %{version}-%{release}
%pyrequires_eq	python-libs

%description -n python-gamin
Python modules for gamin.

%description -n python-gamin -l pl.UTF-8
Moduły języka Python dla gamina.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure \
	--%{?debug:en}%{!?debug:dis}able-debug

%{__make} \
	CFLAGS="%{rpmcflags} -D_GNU_SOURCE"

%install
rm -rf $RPM_BUILD_ROOT
rm -rf html
install -d html

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

cp -a doc/*.{html,gif} html

%py_ocomp $RPM_BUILD_ROOT%{py_sitedir}
%py_comp $RPM_BUILD_ROOT%{py_sitedir}

rm -f $RPM_BUILD_ROOT%{py_sitedir}/*.{py,la,a}

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/gam_server
%attr(755,root,root) %{_libdir}/libfam.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libfam.so.0
%attr(755,root,root) %{_libdir}/libgamin-1.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libgamin-1.so.0

%files docs
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README TODO html doc/*.txt

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libfam.so
%attr(755,root,root) %{_libdir}/libgamin-1.so
%{_libdir}/libfam.la
%{_libdir}/libgamin-1.la
%{_includedir}/fam.h
%{_pkgconfigdir}/gamin.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libfam.a
%{_libdir}/libgamin-1.a
%{_libdir}/libgamin_shared.a

%files -n python-gamin
%defattr(644,root,root,755)
%attr(755,root,root) %{py_sitedir}/_gamin.so
%{py_sitedir}/*.py[co]
%changelog
* Tue Feb 24 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/gamin.git;a=log;h=master

* Tue Feb 24 2015 Jan Rękorajski <baggins@pld-linux.org> 48e4d09
- x32 rebuild
- release 6 (by relup.sh)

* Thu Feb 21 2013 Elan Ruusamäe <glen@delfi.ee> 9c3eb84
- more complete patch from GNOME BZ#667230

* Thu Feb 21 2013 Elan Ruusamäe <glen@delfi.ee> 438b154
- add double-lock patch from fedora

* Wed Dec 12 2012 Jan Rękorajski <baggins@pld-linux.org> d4e47bb
- replace deprecated G_CONST_RETURN with 'const'
- rel 4

* Fri Jul 09 2010 Arkadiusz Miśkiewicz <arekm@maven.pl> d098165
- release 3

* Sat May 22 2010 Tomasz Pala <gotar@pld-linux.org> b4477b3
- fixed Group

* Fri Feb 27 2009 Elan Ruusamäe <glen@pld-linux.org> 5d7a6cd
- obsolete all fam packages now that it's gone; rel 2

* Fri Feb 06 2009 Jakub Bogusz <qboosh@pld-linux.org> bfead1d
- outdated

* Tue Feb 03 2009 Arkadiusz Miśkiewicz <arekm@maven.pl> 045b77e
- up to 0.1.10

* Wed Nov 26 2008 Szymon Siwek <sls@pld-linux.org> 41a1a80
- ac/am regeneration removes c++ dependency

* Wed Nov 26 2008 Szymon Siwek <sls@pld-linux.org> 4ddae9d
- BR: rpm-pythonprov
- BR: python-modules (compileall)

* Wed Nov 26 2008 Szymon Siwek <sls@pld-linux.org> 120fd21
- added BR: gcc-c++ (required only by ./configure)

* Fri Oct 24 2008 Jan Rękorajski <baggins@pld-linux.org> 125926e
- rel 5
- merge libs to main package (it's all in libdir, so no multilib problems)
- installed more docs and moved all of it to -docs package
- obsolete fam (after 3 years I changed my mind),
    rationale: fam does not support inotify, gamin does;
               some programs rely on extended capabilities provided by gamin (Thunar)
               loss of network support is no big deal, as gamin can monitor NFS mount client side

* Tue Oct 14 2008 Elan Ruusamäe <glen@pld-linux.org> 9b25b28
- release 4 (python 2.6)

* Mon Oct 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 5c902b1
- obsolete

* Mon Oct 13 2008 Marcin Banasiak <marcin.banasiak@gmail.com> ad1dcc3
- removed obsolete -ucred-headers.patch
- pass -D_GNU_SOURCE to CFLAGS (thx freetz)

* Sun Oct 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 670c9e9
- added -ucred-headers.patch
- more verbose files
- release 3

* Sun Oct 12 2008 Marcin Banasiak <marcin.banasiak@gmail.com> 2e07ad5
- workaround for missing struct ucred in glibc headers (from fedora)

* Tue Oct 07 2008 deejay1 <deejay1@pld-linux.org> 6d6ac03
- rel. 2 for new Python

* Fri Aug 03 2007 Jakub Bogusz <qboosh@pld-linux.org> 599e522
- clarified License (LGPL v2.1: some sources specify LGPL v2+, but others v2.1 without option)

